<?php

namespace NF\Discord\XF\Repository;

/**
 * Extends \XF\Repository\UserAlert
 */
class UserAlert extends XFCP_UserAlert
{
	public function userReceivesDiscordMessage(\XF\Entity\User $receiver, $senderId, $contentType, $action)
	{
		if (!$receiver->user_id)
		{
			return false;
		}

		if ($senderId && $receiver->isIgnoring($senderId))
		{
			return false;
		}
	}
}