<?php

namespace NF\Discord\XF\Service\Report;

use NF\Discord\Api;
use NF\Discord\XF\Entity\ReportComment;

/**
 * Extends \XF\Service\Report\Commenter
 */
class Commenter extends XFCP_Commenter
{
	public function sendNotifications()
	{
		parent::sendNotifications();

		$report = $this->report;
		/** @var ReportComment $comment */
		$comment = $this->comment;
		/** @var \SV\ReportCentreEssentials\XF\Entity\Report $report */
		/** @var \SV\ReportCentreEssentials\XF\Entity\ReportComment $comment */

		if (!$report || !$report->exists() || !$report->isValidRelation('ReportQueue') || !$comment->new_queue_id)
		{
			return;
		}

		$comment->nfNotifyDiscord('report_move');
	}
}